package com.hxz.dao;

import com.hxz.domain.Student;

import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class studentDao {
    //查询所有学生
    public List<Student> findAll() throws Exception {
        //1.读取配置文件
        Properties properties = new Properties();
        //将配置文件作为一个输入流读入
        InputStream inputStream = this.getClass().getClassLoader().getResourceAsStream("db.properties");
        //将properties放到输入流中
        properties.load(inputStream);

        String url = properties.getProperty("jdbc.url");
        String user = properties.getProperty("jdbc.user");
        String password = properties.getProperty("jdbc.password");

        //2.查询数据库
        //首先获取连接
        Connection connection = DriverManager.getConnection(url,user,password);
        Statement statement = connection.createStatement();
        ResultSet resultSet = statement.executeQuery("select * from student");
        //3.输出结果集
        List<Student> students = new ArrayList<>();
        while (resultSet.next()){
            int id = resultSet.getInt("id");
            String name = resultSet.getString("name");
            String sex = resultSet.getString("sex");
            String address = resultSet.getString("address");
            Student student = new Student(id,name,sex,address);
            students.add(student);
        }
        //释放资源
        resultSet.close();
        statement.close();
        connection.close();

        return students;
    }
}
